var EXPORTED_SYMBOLS = [];

const {classes: Cc, interfaces: Ci, utils: Cu} = Components;

Cu.import("resource://gre/modules/XPCOMUtils.jsm");
Cu.import("resource://gre/modules/Services.jsm");
XPCOMUtils.defineLazyModuleGetter(this, "dslrAlerts", "chrome://dslrnotifier2/content/modules/alerts.jsm");
XPCOMUtils.defineLazyModuleGetter(this, "dslrPoller", "chrome://dslrnotifier2/content/modules/poller.jsm");

const OBSERVING = ["DSLRNotifier:status-change", "DSLRNotifier:repeat-alert"];

var dslrNotifierModule = {
	init: function() {
		let subject = { wrappedJSObject: dslrNotifierModule.uninit };
		Services.obs.notifyObservers(subject, "dslr-notifier-unload", null);
	
		// Add observers
		OBSERVING.forEach(function(aTopic) {
			Services.obs.addObserver(this, aTopic, false);
		}, this);
		
		// Start alert handler
		dslrAlerts.init();
		
		// Start timer
		dslrPoller.start();
	},

	uninit: function() {
		dslrPoller.stop();
		
		// remove observers
		OBSERVING.forEach(function(aTopic) {
			Services.obs.removeObserver(this, aTopic);			
		}, dslrNotifierModule);
	},
	
	observe: function(aSubject, aTopic, aData) {
		if (OBSERVING.indexOf(aTopic) != -1) 
			dslrAlerts.alertCheck();
	}
};

dslrNotifierModule.init();