var EXPORTED_SYMBOLS = ["dslrStatus"];

var dslrStatus = {
	imFlag: false,
	newsFlag: false,
	loginFlag: false,
	errorFlag: false,
	errStr: "",
	imText: "",
	newsText: "",
	toppoponce: false,
	topslideonce: false,
	topringOnce: false,
	impoponce: false,
	imslideonce: false,
	imringOnce: false,
	
	repeatingAlert: false,
	changed: false,
	imTextChanged: false,
	newsTextChanged: false,
	
	// Used if need to log in prior to first window opening.
	showLoginPageOnWindowOpen: false,
	
	reset: function() {
		this.imFlag = false;
		this.newsFlag = false;
		this.loginFlag = false;
		this.errorFlag = false;
		this.errStr = "";
		this.imText = "";
		this.newsText = "";
		this.toppoponce = false;
		this.topslideonce = false;
		this.topringOnce = false;
		this.impoponce = false;
		this.imslideonce = false;
		this.imringOnce = false;
	},
	
	addWatch: function() {
		this.watch("imFlag", this.lookForChange);
		this.watch("newsFlag", this.lookForChange);
		this.watch("loginFlag", this.lookForChange);
		this.watch("errorFlag", this.lookForChange);
		this.watch("imText", this.lookForChange);
		this.watch("newsText", this.lookForChange);
	},
	
	removeWatch: function() {
		this.unwatch("imFlag");
		this.unwatch("newsFlag");
		this.unwatch("loginFlag");
		this.unwatch("errorFlag");
		this.unwatch("imText");
		this.unwatch("newsText");
	},
	
	lookForChange: function(id, oldval, newval) {
		if (oldval != newval) {
			this.changed = true;
			// Look for text change only
			if ((id == "imText") && (oldval != "") && (newval != "")) 
				this.imTextChanged = true;
			else if ((id == "newsText") && (oldval != "") && (newval != "")) 
				this.newsTextChanged = true;
		}
			
		return newval;
	}
}